### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes | Friends
CalibratedModel Class Reference

Calibrated model class. More...

`#include <ql/models/model.hpp>`

Inheritance diagram for CalibratedModel:
[legend]

List of all members.

## Public Member Functions

| CalibratedModel (Size nArguments)
void | update ()
void | calibrate (const std::vector< boost::shared_ptr< CalibrationHelper > > &, OptimizationMethod &method, const EndCriteria &endCriteria, const Constraint &constraint=Constraint(), const std::vector< Real > &weights=std::vector< Real >())
| Calibrate to a set of market instruments (caps/swaptions)
Real | value (const Array &params, const std::vector< boost::shared_ptr< CalibrationHelper > > &)
const boost::shared_ptr < Constraint > & | constraint () const
EndCriteria::Type | endCriteria ()
| returns end criteria result
Disposable< Array > | params () const
| Returns array of arguments on which calibration is done.
virtual void | setParams (const Array &params)

## Protected Member Functions

virtual void | generateArguments ()

## Protected Attributes

std::vector< Parameter > | arguments_
boost::shared_ptr< Constraint > | constraint_
EndCriteria::Type | shortRateEndCriteria_

## Friends

class | CalibrationFunction

## Detailed Description

Calibrated model class.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.

void calibrate | ( | const std::vector< boost::shared_ptr< CalibrationHelper > > & | ,
|  | OptimizationMethod & | method,
|  | const EndCriteria & | endCriteria,
|  | const Constraint & | constraint = `Constraint()`,
|  | const std::vector< Real > & | weights = `std::vector< Real >()`
| ) |  |

Calibrate to a set of market instruments (caps/swaptions)

An additional constraint can be passed which must be satisfied in addition to the constraints of the model.